class CDropTarget : public IDropTarget
{

    protected:
        ULONG               m_RefCount ; 
        LPDATAOBJECT		m_pIDataSource ;
	      
    public:
     	
        CDropTarget(void);
        ~CDropTarget(void);

        //IDropTarget interface members
        STDMETHODIMP	QueryInterface(REFIID, LPVOID FAR *);
        STDMETHODIMP_(ULONG)	AddRef(void);
        STDMETHODIMP_(ULONG)	Release(void);

        STDMETHODIMP DragEnter(LPDATAOBJECT, DWORD, POINTL, LPDWORD);
        STDMETHODIMP DragOver(DWORD, POINTL, LPDWORD);
        STDMETHODIMP DragLeave(void);
        STDMETHODIMP Drop(LPDATAOBJECT, DWORD, POINTL, LPDWORD);    

};

typedef CDropTarget FAR *LPCDROPTARGET;

